import { BpSdkStore, getFeatures } from '@boldpenguin/sdk-redux';
import { IPartnerEngineConfig, ISetupContainerComponent } from '@boldpenguin/sdk-types';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkSetupContainer implements ISetupContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    getFeatures: typeof getFeatures;
    expiresAt: number;
    token: string;
    authenticated: boolean;
    config: IPartnerEngineConfig;
    hasPermission: boolean;
    useExternal: boolean;
    isReady: boolean;
    isSdkLoaded: boolean;
    el: HTMLBpSdkSetupContainerElement;
    resetState(): void;
    handleSubscriptions: () => void;
    connectedCallback(): void;
    componentWillLoad(): void;
    mapStateToProps: (state: BpSdkStore) => {
        config: IPartnerEngineConfig;
        expiresAt: number;
        token: string;
        isSdkLoaded: boolean;
        authenticated: boolean;
        hasPermission: boolean;
    };
    checkIfReady: () => boolean;
    onExpiresAtChange(expiresAt: number): void;
    onCheckAuthenticationChange(): void;
    onIsReadyChange(isReady: any): void;
    disconnectedCallback: () => void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
